<?php
namespace Claromentis\Infocapture\ExpressionLanguage\Nodes;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array();
class ArithmeticNode extends OperatorNode
{
    
    
    protected $op;
    
    
    protected $lval;
    
    
    protected $rval;
    public function __construct($_6cdc8166e97f8f02b18a8c0f49844a7f, $_9d7551fb2071e8e5782aff89aee781f5, $_a36b3513990f98b1bdc60cb5cfdb175f)
    {
        $this->op = $_6cdc8166e97f8f02b18a8c0f49844a7f;
        $this->lval = $_9d7551fb2071e8e5782aff89aee781f5;
        $this->rval = $_a36b3513990f98b1bdc60cb5cfdb175f;
    }
    
    
    
    
    public function Children() : array
    {
        return [$this->lval, $this->rval];
    }
    public function Name() : string
    {
        return $this->op;
    }
    public function Operator() : string
    {
        return $this->op;
    }
}